# RUC masivo

## Consulta masiva de RUC

> Permite consultar hasta 100 RUC en una sola petición.

```json
{"openapi":"3.0.2","info":{"title":"MIGO API","version":"2.0"},"tags":[{"name":"ruc"}],"servers":[{"url":"https://api.migo.pe/api/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AcceptJsonParam":{"name":"Accept","in":"header","required":true,"schema":{"type":"string"}}},"schemas":{"RucCollection":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/RucCollectionItem"}}}},"RucCollectionItem":{"type":"object","properties":{"ruc":{"type":"string"},"nombre_o_razon_social":{"type":"string"},"estado_del_contribuyente":{"type":"string"},"condicion_de_domicilio":{"type":"string"},"ubigeo":{"type":"string"},"tipo_de_via":{"type":"string"},"nombre_de_via":{"type":"string"},"codigo_de_zona":{"type":"string"},"tipo_de_zona":{"type":"string"},"numero":{"type":"string"},"interior":{"type":"string"},"lote":{"type":"string"},"dpto":{"type":"string"},"manzana":{"type":"string"},"kilometro":{"type":"string"},"distrito":{"type":"string"},"provincia":{"type":"string"},"departamento":{"type":"string"},"direccion_simple":{"type":"string"},"direccion":{"type":"string"},"actualizado_en":{"type":"string"}}},"Forbidden":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"NotFound":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"UnprocessableContent":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"errors":{"type":"object"}}}}},"paths":{"/ruc/masivo":{"post":{"summary":"Consulta masiva de RUC","description":"Permite consultar hasta 100 RUC en una sola petición.","tags":["ruc"],"parameters":[{"$ref":"#/components/parameters/AcceptJsonParam"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ruc":{"type":"array","items":{}}},"required":["ruc"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RucCollection"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableContent"}}}}}}}}}
```

## Consulta masiva de RUC actividades económicas

> Permite consultar hasta 100 RUC en una sola petición.

```json
{"openapi":"3.0.2","info":{"title":"MIGO API","version":"2.0"},"tags":[{"name":"ruc"}],"servers":[{"url":"https://api.migo.pe/api/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AcceptJsonParam":{"name":"Accept","in":"header","required":true,"schema":{"type":"string"}}},"schemas":{"ActividadEconomicaCollection":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ActividadEconomicaCollectionItem"}}}},"ActividadEconomicaCollectionItem":{"type":"object","properties":{"ruc":{"type":"string"},"estado":{"type":"string"},"condicion":{"type":"string"},"tipo":{"type":"string"},"actividad_economica_rev3_principal":{"type":"string"},"actividad_economica_rev3_secundaria":{"type":"string"},"actividad_economica_rev4_principal":{"type":"string"},"numero_trabajadores":{"type":"string"},"tipo_facturacion":{"type":"string"},"tipo_contabilidad":{"type":"string"},"comercio_exterior":{"type":"string"},"periodo":{"type":"string"}}},"Forbidden":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"NotFound":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"}}},"UnprocessableContent":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"errors":{"type":"object"}}}}},"paths":{"/ruc/actividad-economica/masivo":{"post":{"summary":"Consulta masiva de RUC actividades económicas","description":"Permite consultar hasta 100 RUC en una sola petición.","tags":["ruc"],"parameters":[{"$ref":"#/components/parameters/AcceptJsonParam"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ruc":{"type":"array","items":{}}},"required":["ruc"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActividadEconomicaCollection"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableContent"}}}}}}}}}
```
